export class Router {
  currentPage = "none"

  start = document.getElementById("start")
  mainMenu = document.getElementById("main-menu")
  customLevel = document.getElementById("custom-level")
  loading = document.getElementById("loading")
  mainGame = document.getElementById("main-game")
  gameOver = document.getElementById("game-over")

  hideEverything() {
    this.start.style.display = "none"
    this.mainMenu.style.display = "none"
    this.customLevel.style.display = "none"
    this.loading.style.display = "none"
    this.mainGame.style.display = "none"
    this.gameOver.style.display = "none"
  }

  showPage(pageName) {
    this.hideEverything()
    this.currentPage = pageName
    this[pageName].style.display = "flex"
  }
}